Subject: bug#33567: Syntactic fontification of diff hunks

From: Juri Linkov <[email-masked]>
Date: Thu, 20 Dec 2018 23:50:11 +0200

>> A worse situation with Magit - I was asked to update Magit
>> to use this feature, but I don't know where to start:
>> Magit uses green/red colors both for background and foreground.
>
> Are there cases where it uses only red/green foreground to show a hunk?
> I would honestly just skip those cases, if Magit insists on doing things in
> several different ways.
>
> Not sure why you need to port the new feature yourself, though.

I see no such cases with only red/green foreground, so it's safe to remove
red/green foreground, but probably I'll let Magit developers port it
themselves because I don't understand many their design decisions.